ruby-origin_2.2.0-1_all.deb


Advertisement

Description

ruby-origin - Simple DSL for MongoDB query generation

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-origin
Package version: 2.2.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 134 B
Download size: 18.84 KB
Official Mirror: archive.ubuntu.com
Origin provides a DSL to mix in to any object to give it the ability to build MongoDB queries easily. It was extracted from Mongoid in an attempt to allow others to leverage the DSL in their own applications without needing a mapper.

Alternatives

    Download

    Source package: ruby-origin

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-origin deb package:
      # sudo apt-get install ruby-origin

    Files

    • /usr/lib/ruby/vendor_ruby/origin.rb
    • /usr/lib/ruby/vendor_ruby/origin/aggregable.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions.rb
    • /usr/lib/ruby/vendor_ruby/origin/forwardable.rb
    • /usr/lib/ruby/vendor_ruby/origin/key.rb
    • /usr/lib/ruby/vendor_ruby/origin/macroable.rb
    • /usr/lib/ruby/vendor_ruby/origin/mergeable.rb
    • /usr/lib/ruby/vendor_ruby/origin/optional.rb
    • /usr/lib/ruby/vendor_ruby/origin/options.rb
    • /usr/lib/ruby/vendor_ruby/origin/pipeline.rb
    • /usr/lib/ruby/vendor_ruby/origin/queryable.rb
    • /usr/lib/ruby/vendor_ruby/origin/selectable.rb
    • /usr/lib/ruby/vendor_ruby/origin/selector.rb
    • /usr/lib/ruby/vendor_ruby/origin/smash.rb
    • /usr/lib/ruby/vendor_ruby/origin/version.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/array.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/big_decimal.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/boolean.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/date.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/date_time.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/hash.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/nil_class.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/numeric.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/object.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/range.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/regexp.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/set.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/string.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/symbol.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/time.rb
    • /usr/lib/ruby/vendor_ruby/origin/extensions/time_with_zone.rb
    • /usr/share/doc/ruby-origin/changelog.Debian.gz
    • /usr/share/doc/ruby-origin/copyright
    • /usr/share/rubygems-integration/all/specifications/origin-2.2.0.gemspec

    Changelog

    2016-03-02 - Christian Hofstaedtler <zeha@debian.org> ruby-origin (2.2.0-1) unstable; urgency=medium * Team upload. * Update packaging using dh-make-ruby -w * Imported Upstream version 2.2.0

    2013-06-17 - Praveen Arimbrathodiyil <praveen@debian.org> ruby-origin (1.1.0-1) unstable; urgency=low * Initial release (Closes: #712172)

    Advertisement
    Advertisement